Jump to content
Compatible Support Forums
Sign in to follow this  
news

[security-announce] SUSE-SU-2017:1335-1: important: Security update for kdelibs4

Recommended Posts

SUSE Security Update: Security update for kdelibs4

______________________________________________________________________________

 

Announcement ID: SUSE-SU-2017:1335-1

Rating: important

References: #1036244

Cross-References: CVE-2017-8422

Affected Products:

SUSE Linux Enterprise Server for Raspberry Pi 12-SP2

SUSE Linux Enterprise Server 12-SP2

SUSE Linux Enterprise Server 12-SP1

SUSE Linux Enterprise Desktop 12-SP2

SUSE Linux Enterprise Desktop 12-SP1

______________________________________________________________________________

 

An update that fixes one vulnerability is now available.

 

Description:

 

 

This update for kdelibs4 fixes the following issues:

 

- CVE-2017-8422: This update fixes problem in the DBUS authentication of

the kauth framework that could be used to escalate privileges depending

on bugs or misimplemented dbus services. (boo#1036244)

 

 

Patch Instructions:

 

To install this SUSE Security Update use YaST online_update.

Alternatively you can run the command listed for your product:

 

- SUSE Linux Enterprise Server for Raspberry Pi 12-SP2:

 

zypper in -t patch SUSE-SLE-RPI-12-SP2-2017-805=1

 

- SUSE Linux Enterprise Server 12-SP2:

 

zypper in -t patch SUSE-SLE-SERVER-12-SP2-2017-805=1

 

- SUSE Linux Enterprise Server 12-SP1:

 

zypper in -t patch SUSE-SLE-SERVER-12-SP1-2017-805=1

 

- SUSE Linux Enterprise Desktop 12-SP2:

 

zypper in -t patch SUSE-SLE-DESKTOP-12-SP2-2017-805=1

 

- SUSE Linux Enterprise Desktop 12-SP1:

 

zypper in -t patch SUSE-SLE-DESKTOP-12-SP1-2017-805=1

 

To bring your system up-to-date, use "zypper patch".

 

 

Package List:

 

- SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (aarch64):

 

kdelibs4-debuginfo-4.12.0-10.1

kdelibs4-debugsource-4.12.0-10.1

libkde4-4.12.0-10.1

libkde4-debuginfo-4.12.0-10.1

libkdecore4-4.12.0-10.1

libkdecore4-debuginfo-4.12.0-10.1

libksuseinstall1-4.12.0-10.1

libksuseinstall1-debuginfo-4.12.0-10.1

 

- SUSE Linux Enterprise Server 12-SP2 (aarch64 ppc64le x86_64):

 

kdelibs4-debuginfo-4.12.0-10.1

kdelibs4-debugsource-4.12.0-10.1

libkde4-4.12.0-10.1

libkde4-debuginfo-4.12.0-10.1

libkdecore4-4.12.0-10.1

libkdecore4-debuginfo-4.12.0-10.1

libksuseinstall1-4.12.0-10.1

libksuseinstall1-debuginfo-4.12.0-10.1

 

- SUSE Linux Enterprise Server 12-SP2 (x86_64):

 

libkde4-32bit-4.12.0-10.1

libkde4-debuginfo-32bit-4.12.0-10.1

libkdecore4-32bit-4.12.0-10.1

libkdecore4-debuginfo-32bit-4.12.0-10.1

libksuseinstall1-32bit-4.12.0-10.1

libksuseinstall1-debuginfo-32bit-4.12.0-10.1

 

- SUSE Linux Enterprise Server 12-SP1 (ppc64le s390x x86_64):

 

kdelibs4-debuginfo-4.12.0-10.1

kdelibs4-debugsource-4.12.0-10.1

libkde4-4.12.0-10.1

libkde4-debuginfo-4.12.0-10.1

libkdecore4-4.12.0-10.1

libkdecore4-debuginfo-4.12.0-10.1

libksuseinstall1-4.12.0-10.1

libksuseinstall1-debuginfo-4.12.0-10.1

 

- SUSE Linux Enterprise Server 12-SP1 (s390x x86_64):

 

libkde4-32bit-4.12.0-10.1

libkde4-debuginfo-32bit-4.12.0-10.1

libkdecore4-32bit-4.12.0-10.1

libkdecore4-debuginfo-32bit-4.12.0-10.1

libksuseinstall1-32bit-4.12.0-10.1

libksuseinstall1-debuginfo-32bit-4.12.0-10.1

 

- SUSE Linux Enterprise Desktop 12-SP2 (x86_64):

 

kdelibs4-debuginfo-4.12.0-10.1

kdelibs4-debugsource-4.12.0-10.1

libkde4-32bit-4.12.0-10.1

libkde4-4.12.0-10.1

libkde4-debuginfo-32bit-4.12.0-10.1

libkde4-debuginfo-4.12.0-10.1

libkdecore4-32bit-4.12.0-10.1

libkdecore4-4.12.0-10.1

libkdecore4-debuginfo-32bit-4.12.0-10.1

libkdecore4-debuginfo-4.12.0-10.1

libksuseinstall1-32bit-4.12.0-10.1

libksuseinstall1-4.12.0-10.1

libksuseinstall1-debuginfo-32bit-4.12.0-10.1

libksuseinstall1-debuginfo-4.12.0-10.1

 

- SUSE Linux Enterprise Desktop 12-SP1 (x86_64):

 

kdelibs4-debuginfo-4.12.0-10.1

kdelibs4-debugsource-4.12.0-10.1

libkde4-32bit-4.12.0-10.1

libkde4-4.12.0-10.1

libkde4-debuginfo-32bit-4.12.0-10.1

libkde4-debuginfo-4.12.0-10.1

libkdecore4-32bit-4.12.0-10.1

libkdecore4-4.12.0-10.1

libkdecore4-debuginfo-32bit-4.12.0-10.1

libkdecore4-debuginfo-4.12.0-10.1

libksuseinstall1-32bit-4.12.0-10.1

libksuseinstall1-4.12.0-10.1

libksuseinstall1-debuginfo-32bit-4.12.0-10.1

libksuseinstall1-debuginfo-4.12.0-10.1

 

 

References:

 

https://www.suse.com/security/cve/CVE-2017-8422.html

https://bugzilla.suse.com/1036244

 

--

To unsubscribe, e-mail: opensuse-security-announce+unsubscribe ( -at -) opensuse.org

For additional commands, e-mail: opensuse-security-announce+help ( -at -) opensuse.org

 

 

 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×